Summary:       A text-mode Web browser
Name:          elinks
Version:       0.16.1.1
Release:       3%{?dist}
License:       GPLv2
URL:           https://github.com/rkd77/elinks
Source0:       %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:       elinks.conf

BuildRequires: gcc-c++ make automake
BuildRequires: zlib-devel bzip2-devel expat-devel gettext
BuildRequires: gpm-devel krb5-devel openssl-devel libidn2-devel
BuildRequires: lua-devel pkgconfig
Requires(preun): %{_sbindir}/alternatives
Requires(post): coreutils
Requires(post): %{_sbindir}/alternatives
Requires(postun): coreutils
Requires(postun): %{_sbindir}/alternatives
Provides: webclient
Provides: links = 0.97-1
Provides: text-www-browser

Patch3000:     0000-elinks-0.15.0-ssl-noegd.patch
Patch3001:     0001-elinks-0.15.1-utf_8_io-default.patch
Patch3002:     elinks-0.11.0-getaddrinfo.patch
Patch3003:     0004-elinks-0.15.0-sysname.patch
Patch3004:     0005-elinks-0.15.0-xterm.patch
Patch3005:     0006-elinks-0.16.0-libidn2.patch
Patch3006:     elinks-0.12pre6-list_is_singleton.patch

%description
Elinks is a text-based Web browser. Elinks does not display any images,
but it does support frames, tables and most other HTML tags. Elinks'
advantage over graphical browsers is its speed--Elinks starts and exits
quickly and swiftly displays Web pages.


%prep
%autosetup -p1
sed -e 's/^# *serial [AM0-9]*$//' -i config/m4/*.m4


%build
aclocal -I config/m4
autoconf
autoheader

export CFLAGS="$RPM_OPT_FLAGS $(getconf LFS_CFLAGS) -D_GNU_SOURCE"
CFLAGS="$CFLAGS -DLUA_COMPAT_5_3"

%configure                          \
    --enable-256-colors             \
    --enable-bittorrent             \
    --with-gssapi                   \
    --with-lua                      \
    --with-openssl                  \
    --without-gnutls                \
    --without-spidermonkey          \
    --without-x

%make_build -j1


%install
%make_install
rm -f %{buildroot}%{_datadir}/locale/locale.alias
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/elinks.conf
touch %{buildroot}%{_bindir}/links
true | gzip -c > %{buildroot}%{_mandir}/man1/links.1.gz
%find_lang elinks


%postun
if [ "$1" -ge "1" ]; then
	links=`readlink %{_sysconfdir}/alternatives/links`
	if [ "$links" == "%{_bindir}/elinks" ]; then
		%{_sbindir}/alternatives --set links %{_bindir}/elinks
	fi
fi
exit 0

%post
%{_sbindir}/alternatives --install %{_bindir}/links links %{_bindir}/elinks 90 \
  --slave %{_mandir}/man1/links.1.gz links-man %{_mandir}/man1/elinks.1.gz
links=`readlink %{_sysconfdir}/alternatives/links`
if [ "$links" == "%{_bindir}/elinks" ]; then
	%{_sbindir}/alternatives --set links %{_bindir}/elinks
fi

%preun
if [ $1 = 0 ]; then
	%{_sbindir}/alternatives --remove links %{_bindir}/elinks
fi
exit 0


%files -f elinks.lang
%license COPYING
%doc README
%ghost %verify(not md5 size mtime) %{_bindir}/links
%{_bindir}/elinks
%config(noreplace) %{_sysconfdir}/elinks.conf
%ghost %verify(not md5 size mtime) %{_mandir}/man1/links.1.gz
%{_mandir}/man1/elinks.1*
%{_mandir}/man5/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16.1.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16.1.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 07 2023 rockerzhu <rockerzhu@tencent.com> - 0.16.1.1-1
- Upgrade to 0.16.1.1.

* Mon Aug 07 2023 rockerzhu <rockerzhu@tencent.com> - 0.15.1-4
- Fix parallel build error.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 13 2022 rockerzhu <rockerzhu@tencent.com> - 0.15.1-1
- Initial build
